Groovy Documentation

## groovy.json
[Java] Enum JsonTokenType

    java.lang.Object
      groovy.json.JsonTokenType

    public enum JsonTokenType

Enum listing all the possible JSON tokens that should be recognized by the lexer.

Authors:
  Guillaume Laforge

Since:
  1.8.0

Method Summary
`java.lang.String` | `getLabel()`
`java.lang.Object` | `getValidator()`
`boolean` | `matching(java.lang.String input)` Tells if an input string matches a token.
`static JsonTokenType` | `startingWith(char c)` Find which JSON value might be starting with a given character

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getLabel

    public java.lang.String getLabel()

### getValidator

    public java.lang.Object getValidator()

### matching

    public boolean matching(java.lang.String input)

  Tells if an input string matches a token.
  Parameters:
    `input` - the input string to match
  Returns:
    a `Matching` enum value: `YES` if this is an exact match, `POSSIBLE` if more characters could turn the input string into a valid token, or `NO` if the string cannot possibly match the pattern even with more characters to read.

### startingWith

    public static JsonTokenType startingWith(char c)

  Find which JSON value might be starting with a given character
  Parameters:
    `c` - the character
  Returns:
    the possible token type found

Groovy Documentation